-- シミュレーションの設定ファイル
-- Satofumi KAMIMURA
-- $Id: simulation_settings.lua 1690 2010-02-13 02:07:59Z satofumi $

-- 利用デバイスの初期化
DeviceManager():createDevice("/dev/ttyACM0", "UrgDevice", "urg")


-- デバイスを作成
DeviceManager():device("urg"):activate()


-- デバイス位置を設定
local urg = DeviceManager():model("urg")
urg:setPosition(Position(0, 0, deg(0)), nil, false)


-- 障害物を配置
local box = Box(300, 400, 500, 1.0)
box:setPosition(Position(1000, 0, deg(30)), nil, false)

local cylinder = Cylinder(100, 300, 1.0)
cylinder:setPosition(Position(0, 400, deg(0)), nil, false)
